petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscObjectSetPrintedOptions

indicate to an object that it should behave as if it has already printed the help for its options

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSetPrintedOptions(PetscObject obj)

### Input Parameters

obj -the PetscObject

### Developer Notes

This is used, for example to prevent sequential objects that are created from a parallel object; such as the KSP created by PCBJACOBI from all printing the same help messages to the screen

### See Also

PetscOptionsInsert()

### Level

developer

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages